﻿using System;
using Xamarin.Forms;

namespace SampleProject
{
	public class DrawCanvas : ContentView {
		private AbsoluteLayout layout = new AbsoluteLayout();

		public DrawRect drawRect(Point start, Point end, Color? color=null, bool fill = true, int strokeWidth = 4) {
			DrawRect toDraw = new DrawRect ();
			toDraw.Fill = fill;
			toDraw.StrokeWidth = strokeWidth;
			toDraw.Color = color ?? Color.Accent;
			toDraw = (DrawRect)(handleBounds(toDraw, start, end));
			layout.Children.Add (toDraw);
			return toDraw;
		}

		public DrawElement handleBounds(DrawElement _view, Point start, Point end) {
			DrawElement view = _view;
			var width = end.X - start.X;
			var height = end.Y - start.Y;
			var center = new Point(start.X + width/2, start.Y + height/2);
			AbsoluteLayout.SetLayoutFlags (view, AbsoluteLayoutFlags.PositionProportional);
			AbsoluteLayout.SetLayoutBounds (view, new Rectangle (start.X, start.Y, width, height));
			return view;
		}

		public new View Content {
			get { return layout; }
		}
	}
}

