﻿using System;
using Xamarin.Forms;

namespace SampleProject
{
	public class DrawRect : DrawElement {
		public static readonly BindableProperty ColorProperty =
			BindableProperty.Create<DrawRect, Color>(p => p.Color, Color.Accent);

		public Color Color {
			get { return (Color)GetValue(ColorProperty); }
			set { SetValue(ColorProperty, value); }
		}
	}

	abstract public class DrawElement : View
	{
		public bool Fill {get; set;}
		public int StrokeWidth {get; set;}
	}
}

